=== debian/changelog ===
openvdb (2.1.0-1ubuntu1) trusty; urgency=low

  * debian/rules: update NUMPY_INCL_DIR2 for the correct location

 -- Brian Murray <brian@ubuntu.com>  Thu, 06 Feb 2014 15:20:24 -0800

openvdb (2.1.0-1) unstable; urgency=low

  * New upstream
  * Build on armhf. Closes: #731905
  * Remove patch applied upstream:
    - debian/patches/fix715427.patch
  * Fix compilation with gcc 4.8:
    + debian/patches/fixcomp1.patch

 -- Mathieu Malaterre <malat@debian.org>  Sat, 11 Jan 2014 19:27:54 +0100

openvdb (2.0.0-3) unstable; urgency=low

  * Upload to sid. Closes: #715427
  * Bump Std-Vers to 3.9.5, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Tue, 10 Dec 2013 09:03:34 +0100

openvdb (2.0.0-2) experimental; urgency=low

  * Fix compilation on 32bits arch
  * Fix compilation on armhf/tbb

 -- Mathieu Malaterre <malat@debian.org>  Mon, 02 Dec 2013 20:47:37 +0100

openvdb (2.0.0-1) experimental; urgency=low

  * New release: 2.0

 -- Mathieu Malaterre <malat@debian.org>  Wed, 27 Nov 2013 11:03:04 +0100

openvdb (1.2.2-1) experimental; urgency=low

  * Take snapshot from upstream

 -- Mathieu Malaterre <malat@debian.org>  Sun, 13 Oct 2013 16:11:51 +0200

openvdb (1.2.0-2) experimental; urgency=low

  * Incorporate changes from new dev tag

 -- Mathieu Malaterre <malat@debian.org>  Thu, 18 Jul 2013 09:26:46 +0200

openvdb (1.2.0-1) unstable; urgency=low

  * New upstream. Fix vdb_view compilation (x86)
  * Refresh patches

 -- Mathieu Malaterre <malat@debian.org>  Thu, 04 Jul 2013 08:27:12 +0200
