=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g" \
http://www.openvdb.org/download/index.html \
./openvdb_([\d_]+)_library\.zip
