## openvdb 2.3.0

=== Makefile ===
--- 
+++ 
@@ -116,6 +116,13 @@
 # The directory containing libcppunit
 CPPUNIT_LIB_DIR := /rel/depot/third_party_build/cppunit/1.10.2-7/opt-ws5-x86_64-gccWS5_64/lib
 CPPUNIT_LIB := -lcppunit
+
+# The parent directory of the log4cplus/ header directory
+# (leave blank if log4cplus is unavailable)
+LOG4CPLUS_INCL_DIR := /rel/folio/log4cplus/log4cplus-1.0.3-latest/sys_include
+# The directory containing liblog4cplus
+LOG4CPLUS_LIB_DIR := /rel/folio/log4cplus/log4cplus-1.0.3-latest/library
+LOG4CPLUS_LIB := -llog4cplus
 
 # The directory containing glfw.h
 # (leave blank if GLFW is unavailable)
@@ -198,6 +205,11 @@
     has_glfw := yes
 endif
 
+has_log4cplus := no
+ifeq (3,$(words $(strip $(LOG4CPLUS_LIB_DIR) $(LOG4CPLUS_INCL_DIR) $(LOG4CPLUS_LIB))))
+    has_log4cplus := yes
+endif
+
 has_python := no
 ifeq (7,$(words $(strip $(PYTHON_VERSION) $(PYTHON_LIB_DIR) $(PYTHON_INCL_DIR) \
     $(PYCONFIG_INCL_DIR) $(PYTHON_LIB) $(BOOST_PYTHON_LIB_DIR) $(BOOST_PYTHON_LIB))))
@@ -205,8 +217,14 @@
 endif
 
 INCLDIRS := -I . -I .. -I $(BOOST_INCL_DIR) -I $(HALF_INCL_DIR) -I $(TBB_INCL_DIR)
+ifeq (yes,$(has_log4cplus))
+	INCLDIRS += -I $(LOG4CPLUS_INCL_DIR)
+endif
 
 CXXFLAGS += -pthread $(OPTIMIZE) $(INCLDIRS)
+ifeq (yes,$(has_log4cplus))
+	CXXFLAGS += -DOPENVDB_USE_LOG4CPLUS
+endif
 
 LIBS := \
     -ldl -lm -lz \
@@ -218,6 +236,10 @@
     -Wl,-rpath,$(HALF_LIB_DIR) -L$(HALF_LIB_DIR) $(HALF_LIB) \
     -Wl,-rpath,$(TBB_LIB_DIR) -L$(TBB_LIB_DIR) $(TBB_LIB) \
 #
+ifeq (yes,$(has_log4cplus))
+    LIBS += -L$(LOG4CPLUS_LIB_DIR) $(LOG4CPLUS_LIB)
+    LIBS_RPATH += -Wl,-rpath,$(LOG4CPLUS_LIB_DIR) -L$(LOG4CPLUS_LIB_DIR) $(LOG4CPLUS_LIB)
+endif
 ifneq (,$(strip $(CONCURRENT_MALLOC_LIB)))
 ifneq (,$(strip $(CONCURRENT_MALLOC_LIB_DIR)))
     LIBS_RPATH += -Wl,-rpath,$(CONCURRENT_MALLOC_LIB_DIR) -L$(CONCURRENT_MALLOC_LIB_DIR)
@@ -239,6 +261,7 @@
     io/Stream.h \
     math/BBox.h \
     math/Coord.h \
+    math/DDA.h \
     math/FiniteDifference.h \
     math/Hermite.h \
     math/LegacyFrustum.h \
@@ -268,6 +291,7 @@
     PlatformConfig.h \
     tools/Composite.h \
     tools/Dense.h \
+    tools/DenseSparseTools.h \
     tools/Filter.h \
     tools/GridOperators.h \
     tools/GridTransformer.h \
@@ -290,6 +314,7 @@
     tools/RayTracer.h \
     tools/Statistics.h \
     tools/ValueTransformer.h \
+    tools/VectorTransformer.h \
     tools/VolumeToMesh.h \
     tools/VolumeToSpheres.h \
     tree/InternalNode.h \
@@ -345,29 +370,3 @@
     unittest/TestCoord.cc \
     unittest/TestCpt.cc \
     unittest/TestCurl.cc \
-    unittest/TestDense.cc \
-    unittest/TestDivergence.cc \
-    unittest/TestDoubleMetadata.cc \
-    unittest/TestExceptions.cc \
-    unittest/TestFile.cc \
-    unittest/TestFloatMetadata.cc \
-    unittest/TestGradient.cc \
-    unittest/TestGrid.cc \
-    unittest/TestGridBbox.cc \
-    unittest/TestGridDescriptor.cc \
-    unittest/TestGridIO.cc \
-    unittest/TestGridTransformer.cc \
-    unittest/TestHermite.cc \
-    unittest/TestInit.cc \
-    unittest/TestInt32Metadata.cc \
-    unittest/TestInt64Metadata.cc \
-    unittest/TestInternalOrigin.cc \
-    unittest/TestLaplacian.cc \
-    unittest/TestLeaf.cc \
-    unittest/TestLeafBool.cc \
-    unittest/TestLeafIO.cc \
-    unittest/TestLeafOrigin.cc \
-    unittest/TestLevelSetRayIntersector.cc \
-    unittest/TestLevelSetUtil.cc \
-    unittest/TestLinearInterp.cc \
-    unittest/TestMaps.cc \
