=== debian/changelog ===
openvdb (2.3.0-2) unstable; urgency=low

  * Add python binding. Closes: #751763

 -- Mathieu Malaterre <malat@debian.org>  Fri, 04 Jul 2014 10:37:00 +0200

openvdb (2.3.0-1) unstable; urgency=low

  * New release
  * Build with log4cplus

 -- Mathieu Malaterre <malat@debian.org>  Wed, 04 Jun 2014 14:24:29 +0200
