=== debian/control ===
--- 
+++ 
@@ -1,9 +1,19 @@
 Source: openvdb
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mathieu Malaterre <malat@debian.org>
-Build-Depends: debhelper (>= 9), libtbb-dev, libopenexr-dev, libz-dev, libboost-dev (>= 1.46), libcppunit-dev, libglfw-dev, libjemalloc-dev, libboost-python-dev, python-numpy
+Maintainer: Mathieu Malaterre <malat@debian.org>
+Build-Depends: debhelper (>= 9),
+               libboost-dev (>= 1.46),
+               libboost-python-dev,
+               libcppunit-dev,
+               libglfw-dev,
+               libjemalloc-dev,
+               liblog4cplus-dev,
+               libopenexr-dev,
+               libtbb-dev,
+               libz-dev,
+               python-all-dev,
+               python-numpy
 Build-Depends-Indep: doxygen-latex, graphviz, python-epydoc
 Homepage: http://openvdb.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/openvdb/trunk/
@@ -11,9 +21,9 @@
 Standards-Version: 3.9.5
 X-Python-Version: 2.7
 
-Package: libopenvdb2.1
+Package: libopenvdb2.3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Sparse Volume Processing toolkit - lib
  OpenVDB is an open source C++ library comprising a novel hierarchical data
@@ -27,7 +37,7 @@
 Package: libopenvdb-dev
 Architecture: any
 Section: libdevel
-Depends: libopenvdb2.1 (= ${binary:Version}), ${misc:Depends}
+Depends: libopenvdb2.3 (= ${binary:Version}), ${misc:Depends}
 Description: Sparse Volume Processing toolkit - dev
  OpenVDB is an open source C++ library comprising a novel hierarchical data
  structure and a suite of tools for the efficient storage and manipulation of
@@ -53,7 +63,7 @@
 Package: libopenvdb-tools
 Architecture: any
 Section: utils
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Sparse Volume Processing toolkit - runtime
  OpenVDB is an open source C++ library comprising a novel hierarchical data
  structure and a suite of tools for the efficient storage and manipulation of
@@ -61,4 +71,19 @@
  and maintained by DreamWorks Animation for use in volumetric applications
  typically encountered in feature film production.
  .
- This is the package for the runtime. It installs vdb_print and vdb_view
+ This is the package for the runtime. It installs vdb_print, vdb_render and
+ vdb_view
+
+Package: python-openvdb
+Architecture: any
+Section: python
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Provides: ${python:Provides}
+Description: Sparse Volume Processing toolkit - python binding
+ OpenVDB is an open source C++ library comprising a novel hierarchical data
+ structure and a suite of tools for the efficient storage and manipulation of
+ sparse volumetric data discretized on three-dimensional grids. It is developed
+ and maintained by DreamWorks Animation for use in volumetric applications
+ typically encountered in feature film production.
+ .
+ This is the package for the Python binding.
