## openvdb 3.0.0

=== debian/changelog ===
openvdb (3.0.0-3ubuntu4) wily; urgency=medium

  * Include -latomic in the linker line to deal with the new libtbb.
  * Update the symbols file for all architectures including powerpc.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 11 Aug 2015 23:17:50 -0600

openvdb (3.0.0-3ubuntu3) wily; urgency=medium

  * Update the symbols file for all architectures.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Aug 2015 12:16:04 +0000

openvdb (3.0.0-3ubuntu2) wily; urgency=medium

  * Update the symbols file for all architectures.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Aug 2015 15:26:15 +0200

openvdb (3.0.0-3ubuntu1) wily; urgency=medium

  * Regenerate the symbols file for the new libstdc++ ABI.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Aug 2015 14:03:59 +0200

openvdb (3.0.0-3build1) wily; urgency=medium

  * No-change rebuild against libopenexr22.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 12:27:15 +0200

openvdb (3.0.0-3) unstable; urgency=medium

  * Fix symbols file on armhf/i386/ppc64

 -- Mathieu Malaterre <malat@debian.org>  Wed, 10 Jun 2015 14:36:57 +0200

openvdb (3.0.0-2) unstable; urgency=medium

  * Fix symbols file manually.
  * Fix debian/rules clean target (doxygen left a *.db file)

 -- Mathieu Malaterre <malat@debian.org>  Thu, 28 May 2015 15:29:20 +0200

openvdb (3.0.0-1) unstable; urgency=medium

  * New upstream: 3.0
  * Add a timeout for arm64. Closes: #770487
  * Add symbols files

 -- Mathieu Malaterre <malat@debian.org>  Tue, 26 May 2015 17:07:31 +0200
