=== debian/control ===
--- 
+++ 
@@ -1,12 +1,19 @@
 Source: openvdb
 Section: libs
 Priority: optional
-Maintainer: Mathieu Malaterre <malat@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 9),
+               dh-python,
+               dpkg-dev (>= 1.18.0),
                libboost-dev (>= 1.46),
+               libboost-filesystem-dev,
+               libboost-iostreams-dev,
                libboost-python-dev,
+               libboost-system-dev,
+               libboost-thread-dev,
                libcppunit-dev,
-               libglfw-dev,
+               libglfw3-dev,
                libjemalloc-dev,
                liblog4cplus-dev,
                libopenexr-dev,
@@ -18,10 +25,10 @@
 Homepage: http://openvdb.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/openvdb/trunk/
 Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/openvdb/trunk
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: 2.7
 
-Package: libopenvdb2.3
+Package: libopenvdb3.0
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -37,7 +44,7 @@
 Package: libopenvdb-dev
 Architecture: any
 Section: libdevel
-Depends: libopenvdb2.3 (= ${binary:Version}), ${misc:Depends}
+Depends: libopenvdb3.0 (= ${binary:Version}), ${misc:Depends}
 Description: Sparse Volume Processing toolkit - dev
  OpenVDB is an open source C++ library comprising a novel hierarchical data
  structure and a suite of tools for the efficient storage and manipulation of
@@ -79,7 +86,7 @@
 Section: python
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Provides: ${python:Provides}
-Description: Sparse Volume Processing toolkit - python binding
+Description: Sparse Volume Processing toolkit - Python binding
  OpenVDB is an open source C++ library comprising a novel hierarchical data
  structure and a suite of tools for the efficient storage and manipulation of
  sparse volumetric data discretized on three-dimensional grids. It is developed
