=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,18 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+# as per upstream request:
+#export DEB_CFLAGS_MAINT_APPEND = -fvisibility=hidden
+
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 VER_FULL = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d-)
-VER_FULL = 2.3.0
 VER_SONAME = $(shell dpkg-parsechangelog | grep '^Version' | cut -d' ' -f2 | cut -f1 -d- | cut -f1-2 -d.)
 
 #
-CFLAGS+=$(CPPFLAGS)
-CXXFLAGS+=$(CPPFLAGS)
+CFLAGS+=$(CPPFLAGS) -fvisibility=hidden
+CXXFLAGS+=$(CPPFLAGS) -fvisibility=hidden
 
 # tbb issue:
 DEB_BUILD_ARCH_CPU := $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU 2>/dev/null)
@@ -30,8 +34,9 @@
 					CPPUNIT_INCL_DIR=/usr/include CPPUNIT_LIB_DIR=/usr/lib \
 					LOG4CPLUS_INCL_DIR=/usr/include LOG4CPLUS_LIB_DIR=/usr/lib \
 					GLFW_INCL_DIR=/usr/include/GL GLFW_LIB_DIR=/usr/lib \
-					LIBS_RPATH='$(LDFLAGS) -ldl -lm -lz -lHalf -ltbb -llog4cplus' LIBOPENVDB_RPATH= \
+					LIBS_RPATH='$(LDFLAGS) -ldl -lm -lz -lHalf -ltbb -latomic -llog4cplus -lboost_filesystem -lboost_system -lboost_iostreams' LIBOPENVDB_RPATH= \
 					PYTHON_SONAME_FLAGS= BOOST_PYTHON_LIB=-lboost_python-py27 \
+					BLOSC_INCL_DIR= BLOSC_LIB_DIR= BLOSC_LIB= \
 					verbose=yes debug=yes rpath=no shared=yes
 
 %:
@@ -45,7 +50,7 @@
 	dh_auto_build -- $(ALLOPTS)
 
 override_dh_auto_test-arch:
-	dh_auto_test || true
+	timeout 2h dh_auto_test || true
 
 override_dh_auto_build-indep:
 	$(MAKE) doc
@@ -55,7 +60,7 @@
 
 # do not run make install
 override_dh_auto_install:
-	dh_auto_install -- $(ALLOPTS) INSTALL_DIR=$(CURDIR)$(DESTDIR)/debian/tmp/usr INSTALL_LIB_DIR=$(CURDIR)$(DESTDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_auto_install -- $(ALLOPTS) DESTDIR=$(CURDIR)$(DESTDIR)/debian/tmp/usr DESTDIR_LIB_DIR=$(CURDIR)$(DESTDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 	rm openvdb
 
 pkg_run = libopenvdb-tools
@@ -67,16 +72,23 @@
 PYMODDIR := /usr/lib/$(shell pyversions -r)
 
 override_dh_install:
+	dh_numpy --package=$(pkg_py)
 	dh_install -p$(pkg_run) debian/tmp/usr/bin
 	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libopenvdb.so.$(VER_SONAME)
 	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libopenvdb.so.$(VER_FULL)
 	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libopenvdb.so
 	dh_install -p$(pkg_dev) debian/tmp/usr/include
-	dh_install -p$(pkg_doc) debian/tmp/usr/share/doc
+	#dh_install -p$(pkg_doc) debian/tmp/usr/share/doc
 	dh_install -p$(pkg_py)  debian/tmp/usr/python/lib/python2.7/pyopenvdb.so $(PYMODDIR)/dist-packages/
 
 override_dh_installdocs: MPL
 	dh_installdocs -A $^
+
+#override_dh_shlibdeps:
+#	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
+
+override_dh_clean:
+	dh_clean doc/doxygen_sqlite3.db
 
 # man page cannot be automatically generated since we need to cleanup help2man output
 debian/vdb_print.1: debian/vdb_print.1.in
